@import "styles/variables";

.form-control {
    height: 60px;
    border: none;
    &-label {
        position: relative;
        display: block;
        top: -27px;
        left: 0px;
        transition: .2s ease all;
        pointer-events: none;
        cursor: text;
        font-size: 14px;
    }

    &::after {
        display: block;
        color: #d50000;
        font-size: 12px;
        padding-top: 5px;
    }

    input {
        padding: 10px 0 5px 0;
        display: block;
        width: 100%;
        border: none;
        font-size: 14px;
        color: #fff;
        border-bottom: 1px solid #fff;
        outline: none;
        transition: .2s ease all;

        &:invalid {
            outline: none;
            box-shadow: none;
            transition: .2s ease all;
        }
        &:focus {
            & ~ .form-control-label {
                top: -50px;
                font-size: 12px;
                transition: .2s ease all;
            }
        }
        &:focus {
            outline: none;
            color: #fff;
            border-bottom-color: #fff;
            transition: .2s ease all;

            & ~ .form-control-label {
                color: #fff;
            }
        }
    }

    .active {
        top: -50px;
        font-size: 12px;
        transition: .2s ease all;
    }
}

.invalid {
    input {
        outline: none;
        box-shadow: none;
        color: #d63232;
        border-bottom-color: #d63232;
        transition: .2s ease all;

        & ~ .form-control-label {
            color: #d63232;
        }
    }
}

.checkbox {
    display: inline-block;
    margin: 0;
    &-input {
        z-index: -1;
        opacity: 0;
        &:focus {
            ~ {
                .checkbox-indicator {
                    background: #ccc;
                }
            }
        }
        &:checked {
            ~ {
                .checkbox-indicator {
                    background: $primary;
                    &:after {
                        display: block;
                    }
                }
            }
            &:focus {
                ~ {
                    .checkbox-indicator {
                        background: $primary;
                    }
                }
            }
        }
        &:disabled {
            ~ {
                .checkbox-indicator {
                    background: #e6e6e6;
                    opacity: 0.6;
                    pointer-events: none;
                }
            }
        }
    }
    &:hover {
        .checkbox-input {
            ~ {
                .checkbox-indicator {
                    background: #ccc;
                }
            }
            &:not([disabled]) {
                &:checked {
                    ~ {
                        .checkbox-indicator {
                            background: $primary;
                        }
                    }
                }
            }
        }
    }

    &-input {
        display: none;
        &:disabled {
            ~ {
                .control__indicator {
                    &:after {
                        border-color: #7b7b7b;
                    }
                }
            }
        }
    }

    &-indicator {
        position: relative;
        top: 2px;
        left: 0;
        height: 20px;
        width: 20px;
        background: #e6e6e6;
        &:after {
            content: "";
            position: absolute;
            display: none;
            left: 8px;
            top: 4px;
            width: 6px;
            height: 10px;
            border: solid #fff;
            border-width: 0 2px 2px 0;
            transform: rotate(45deg);
        }
    }
}

.radio {
    &-indicator {
        border-radius: 50%;
        &:after {
            left: 7px;
            top: 7px;
            height: 6px;
            width: 6px;
            border-radius: 50%;
            background: #fff;
        }
    }
    &-input {
        &:disabled {
            ~ {
                .radio-indicator {
                    &:after {
                        background: #7b7b7b;
                    }
                }
            }
        }
    }
}

.select {
    position: relative;
    display: inline-block;
    margin-bottom: 15px;
    width: 100%;
    &-input {
        display: inline-block;
        width: 100%;
        cursor: pointer;
        padding: 10px 15px;
        outline: 0;
        border: 0;
        border-radius: 0;
        background: #e6e6e6;
        color: #7b7b7b;
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        &::-ms-expand {
            display: none;
        }
        &:hover {
            color: #000;
            background: #ccc;
            ~ {
                .select__arrow {
                    border-top-color: #000;
                }
            }
        }
        &:focus {
            color: #000;
            background: #ccc;
            ~ {
                .select__arrow {
                    border-top-color: #000;
                }
            }
        }
        &:disabled {
            opacity: 0.5;
            pointer-events: none;
            ~ {
                .select__arrow {
                    border-top-color: #ccc;
                }
            }
        }
    }

    &-arrow {
        position: absolute;
        top: 16px;
        right: 15px;
        width: 0;
        height: 0;
        pointer-events: none;
        border-style: solid;
        border-width: 8px 5px 0 5px;
        border-color: #7b7b7b transparent transparent transparent;
    }
}
